# Command: GetGlobalLeaves

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    GetGlobalLeaves - Return IDs of all leaves of a subnet that fulfill the
      conditions given in the dictionary, or all leaves if no dictionary given.

Synopsis:

      gid [<>]  GetGlobalLeaves -> [gid1 ... gidn]

Description:

      This function recursively traverses a subnet and returns the global
      ids of all leaf nodes in increasing order of gid.  If a dictionary is provided,
      only those nodes which fulfill the given criteria are returned.

      The returned nodes DO NOT include the intermediate subnets. For a
      variant of this command that also returns the subnets, see
      "GetGlobalNodes".

Parameters:

      gid		- id of a subnet
      <>	- Dictionary of selection properties
      Returns:
      [gid..]	- Array with the global ids of all leaf nodes.

Author:

    Ruediger Kupper, Abigail Morrison

FirstVersion:

    12.3.2003

SeeAlso:

- GetLocalLeaves
- GetGlobalNodes
- GetGlobalChildren

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/nest-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative